Get current user profile with linked player
GET
/api/v1/auth/me
const url = 'https://internal.myscore.live/api/v1/api/v1/auth/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://internal.myscore.live/api/v1/api/v1/auth/me \ --header 'Authorization: Bearer <token>'Returns the authenticated user and their claimed player (if any).
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”User profile
Media type application/json
object
user
required
Authenticated user record
object
id
required
Internal user ID
string
clerkId
required
Clerk user ID
string
email
Primary email address
string
name
Display name from Clerk
string
role
required
Platform role
string
createdAt
required
Account creation timestamp
string format: date-time
player
Claimed player profile (null if none)
object
id
required
Player ID
string
name
required
Player display name
string
Example
{ "user": { "id": "usr_abc123", "clerkId": "clerk_abc123", "email": "john@example.com", "name": "John Doe", "role": "user", "createdAt": "2024-01-15T10:30:00.000Z" }, "player": { "id": "plr_abc123", "name": "John Doe" }}Unauthorized
User not synced